%define name oracle-ebs-server-R12-preinstall 
%define version 1.0
%define release 8.el6


Summary: Sets the system for Oracle  E-Business Suite Release 12 for Oracle Linux 6
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPLv2
Vendor:Oracle
Source: %{name}-%{version}.tar.gz

Provides: %{name} = %{version}

Requires(pre):/etc/redhat-release

#System requirement
Requires:procps module-init-tools ethtool initscripts 
Requires:bc bind-utils nfs-utils util-linux-ng pam
Requires:xorg-x11-utils xorg-x11-xauth 
Requires:kernel-uek
Requires:smartmontools

#Common requirment 
Requires:binutils compat-libstdc++-33 gcc gcc-c++ glibc-devel 
Requires:ksh 
Requires:make sysstat openssh-clients compat-libcap1     

#ebiz specific
Requires:glibc-common libXp libgomp gdbm elfutils-libelf-devel perl redhat-lsb unzip zip

%ifarch i386 i486 i586 i686
Requires:compat-libstdc++-296 libXi unixODBC-devel libXtst compat-db43 libXrender
%endif

%ifarch x86_64
#64bit versions
Requires:glibc(%{__isa_name}-64)
Requires:libaio(%{__isa_name}-64)
Requires:libaio-devel(%{__isa_name}-64)
Requires:libgcc(%{__isa_name}-64)
Requires:libstdc++(%{__isa_name}-64)
Requires:libstdc++-devel(%{__isa_name}-64)

#32bit versions
Requires:compat-libstdc++-296(%{__isa_name}-32)
Requires:compat-libstdc++-33(%{__isa_name}-32)
Requires:glibc(%{__isa_name}-32)
Requires:glibc-devel(%{__isa_name}-32)
Requires:glibc-devel(%{__isa_name}-64)
Requires:libgcc(%{__isa_name}-32)
Requires:libstdc++-devel(%{__isa_name}-32)
Requires:libstdc++(%{__isa_name}-32)
Requires:libXi(%{__isa_name}-32)
Requires:libXp(%{__isa_name}-64)
Requires:libXp(%{__isa_name}-32)
Requires:libaio(%{__isa_name}-32)
Requires:gdbm(%{__isa_name}-32)
Requires:libaio-devel(%{__isa_name}-32)
Requires:unixODBC-devel(%{__isa_name}-32)
Requires:libXtst(%{__isa_name}-32)
Requires:compat-db43(%{__isa_name}-32)
Requires:libXrender(%{__isa_name}-32)
%endif


#From oss
Requires:openmotif21(%{__isa_name}-32)
Requires:xorg-x11-libs-compat

BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package installs software packages and sets system parameters required for Oracle  E-Business Suite Release 12 for Oracle Linux Release 6
Files affected: /etc/sysctl.conf, /boot/grub/menu.lst, /etc/resolve.conf
Files added: /etc/security/limits.d/oracle-ebs-server-R12-preinstall.conf


%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/security/limits.d
mkdir -p -m 700 $RPM_BUILD_ROOT/var/log/%{name}/results

install -m 700 oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 700 oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/usr/bin
install -m 600 oracle-ebs-server-R12-preinstall.param $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 700 oracle-ebs-server-R12-preinstall-firstboot $RPM_BUILD_ROOT/etc/rc.d/init.d
touch $RPM_BUILD_ROOT/etc/security/limits.d/oracle-ebs-server-R12-preinstall.conf


ln -f -s /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/usr/bin/oracle-ebs-server-R12-preinstall-verify 

%clean
rm -rf $RPM_BUILD_ROOT

%pre

if [ -f  /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.param ]; then 
  cp -f /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.param /var/log/%{name}/results/.oracle-ebs-server-R12-preinstall.param 
fi

if [ -d /etc/sysconfig/%{name} ]; then
  rm -rf /etc/sysconfig/%{name} 
fi

%post
/usr/bin/oracle-ebs-server-R12-preinstall-verify 2> /dev/null 1>&2

if ! [ -f /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.conf ]; then
   chkconfig --add oracle-ebs-server-R12-preinstall-firstboot
fi

%preun
if [ "$1" = "0" ] ; then # last uninstall
 chkconfig --del oracle-ebs-server-R12-preinstall-firstboot
 if [ -x /usr/bin/oracle-ebs-server-R12-preinstall-verify ]; then
   /usr/bin/oracle-ebs-server-R12-preinstall-verify -u 2> /dev/null 1>&2
 fi
fi

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm -rf /etc/sysconfig/%{name} 
 fi
 if [ -d /var/log/%{name} ]; then
   rm -rf /var/log/%{name}
 fi
fi

%files
%defattr(-,root,root)
%doc COPYING
%config /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.param
%ghost /etc/security/limits.d/oracle-ebs-server-R12-preinstall.conf
/etc/sysconfig/%{name}
/etc/rc.d/init.d/oracle-ebs-server-R12-preinstall-firstboot
/etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall-verify  
/var/log/%{name}
/usr/bin/oracle-ebs-server-R12-preinstall-verify

%changelog
* Tue May 8 2016 Vasundhara Venkatasubramanian <Vasundhara.Venkatasubramanian@oracle.com> [1.0-8.el6]
 - Fix x86-64 package install errors in oci [Orabug 27977845]

* Wed May 28 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-7.el6]
 - Include glibc-devel.x86_64 explicitly, bug18817244

* Mon Apr 14 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-6.el6]
 - Added COPYING with GPLv2

* Mon Mar 13 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-5.el6]
 - Included libXrender

* Thu Feb 13 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-4.el6]
 - Fix bug in rerunning verify script bz17324

* Tue Jan 28 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-3.el6]
 - Fix bug in rpm removal bz14085

* Wed Jan 8 2014 Gurudas Pai <gurudas.pai@oracle.com> [1.0-2.el6]
 - Take a backup of resolve.conf
 - Remove comments from resolve.conf during uninstall

* Wed Nov 13 2013 Gurudas Pai <gurudas.pai@oracle.com> [1.0-1.el6]
 - Created
